import { Injectable } from '@angular/core';
import {
  ActivatedRouteSnapshot,
  Resolve,
  RouterStateSnapshot
} from '@angular/router';
import { Observable, of } from 'rxjs';
import { PopupConfig } from 'src/modules/infos/model/popup-config.model';
import { PopupConfigService } from 'src/modules/infos/service/popup-config.service';

@Injectable()
export class PopupConfigDetailResolver implements Resolve<PopupConfig> {
  /**
   * Constructor
   */
  constructor(private popupConfigService: PopupConfigService) {}

  /**
   * Resolver
   */
  resolve(
    route: ActivatedRouteSnapshot,
    state: RouterStateSnapshot
  ): Observable<PopupConfig> | Promise<PopupConfig> | any {
    const id = route.params.id;
    if ('0' === id) {
      return of({});
    }
    // return this.popupSetService.getUser(route.params.id);
    console.log('dddddddddddddddd');
    return null;
  }
}
