import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { DefaultConfigComponent } from './component/default-config.component';
import { BankInfoListComponent } from './component/bank-info-list.component';
import { BetAmountComponent } from './component/bet-amount.component';
import { BlockIpComponent } from './component/block-ip.component';
import { AdminIpComponent } from './component/admin-ip.component';
import { LevelComponent } from './component/level.component';

const routes: Routes = [
  {
    path: 'default-config',
    component: DefaultConfigComponent
  },
  {
    path: 'bank-info',
    component: BankInfoListComponent
  },
  {
    path: 'bet-amount',
    component: BetAmountComponent
  },
  {
    path: 'block-ip',
    component: BlockIpComponent
  },
  {
    path: 'admin-ip',
    component: AdminIpComponent
  },
  {
    path: 'level',
    component: LevelComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class SiteRoutingModule {}
